<?php

namespace KupShop\OrderingBundle\Attachment;

interface AttachmentInterface
{
    public static function getName();

    public static function getType();

    public static function getGroup(): string;

    public static function getPriority();

    public static function isAllowed();

    public function getMimeType();

    public function getFilename();

    public function getAttachmentType();

    public function getContent();

    public function getAttachment(): array;

    public function setOrder(\Order $order);
}
